Home / Lua API Manual / types / lua_file_chooser_button
< lua_combobox
lua_stack >

# lua_file_chooser_button

`dt_type`

A button that allows the user to select an existing file

Attributes:

- has_tostring
- parent : types.lua_widget

# 🔗lua_file_chooser_button.__call

see types.lua_widget.As a function

# 🔗lua_file_chooser_button.extra registration parameters

This widget has no extra registration parameters

# 🔗lua_file_chooser_button.title

`string`

The title of the window when choosing a file

Attributes:

- write

# 🔗lua_file_chooser_button.value

`string`

The currently selected file

Attributes:

- write

# 🔗lua_file_chooser_button.changed_callback

    function(
     widget : types.lua_widget
    )

A function to call when the value field changes (character entered or value selected)

- widget - types.lua_widget - The widget that triggered the callback

Attributes:

- write

# 🔗lua_file_chooser_button.is_directory

`boolean`

True if the file chooser button only allows directories to be selected

Attributes:

- write

< lua_combobox
lua_stack >